Subject: Re: [PATCH v2 0/6] rebase -i: impove handling of failed commands

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Apr 2023 09:56:52 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> This series fixes several bugs in the way we handle a commit cannot be
> picked because it would overwrite an untracked file.
>
>  * after a failed pick "git rebase --continue" will happily commit any
>    staged changes even though no commit was picked.
>
>  * the commit of the failed pick is recorded as rewritten even though no
>    commit was picked.
>
>  * the "done" file used by "git status" to show the recently executed
>    commands contains an incorrect entry.
>
> Thanks for the comments on V1, this series has now grown somewhat.
> Previously I was worried that refactoring would change the behavior, but
> having thought about it the current behavior is wrong and should be changed.

So much has changed since the original one, I did not even recognise
this was a redoing of the "rescheduled step" topic (which I do not
think I have kept in 'seen').  Building on top of the more recent
'master' like you did here is very much appreciated.